Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.IO.Stream

Implements the standard stream mechanism to read and write network data through an instance of the class.

The class allows network data to be read and written in the same manner as the class.

This class supports simultaneous synchronous and asynchronous access to the network data. Random access is not supported and thus the property always returns

The following properties and methods inherited from the class are not supported and throw a exception when accessed:

The method is reserved for future use but does not throw an exception.

- Constructor
  An instance of the class.

  Constructs and initializes a new instance of the class.

  This constructor is equivalent to (, , ).

  is .

  The property of is .

  -or-

  The property of is .

  -or-

  The property of is not .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  An instance of the class.
  To be added.

  Constructs and initializes a new instance of the class.

  This constructor is equivalent to (, , ).

  is .

  The property of is .

  -or-

  The property of is .

  -or-

  The property of is not .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  An instance of the class.
  One of the values of the enumeration.

  Constructs and initializes a new instance of the class.

  This constructor is equivalent to (, , ).

  is .

  The property of is .

  -or-

  The property of is .

  -or-

  The property of is not .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  An instance of the class.
  One of the values of the enumeration.
  To be added.

  Constructs and initializes a new instance of the class.

  is required to be an instance of the class with its property equal to , property equal to , and equal to .

  When is , the current instance owns , meaning the and methods call the method of .

  is .

  The property of is .

  -or-

  The property of is .

  -or-

  The property of is not .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.IAsyncResult `` `` `` `` `` A array to store data read from the stream. A containing the zero-based position in at which to begin storing the data. A containing the number of bytes to read. A delegate, or . An application-defined object, or .

  Begins an asynchronous operation to read data from the current instance.

  A instance that contains information about the asynchronous operation.

  To retrieve the results of the operation and release resources allocated by the method, call the method, and specify the object returned by this

  method.

  The method should be called exactly once for each call to the method.

  If the parameter is not , the method referenced by is invoked when the asynchronous operation completes. The object returned by this method is passed as the argument to the method referenced by . The method referenced by can retrieve the results of the operation by calling the method.

  The parameter can be any object that the caller wishes to have available for the duration of the asynchronous operation. This object is available via the property of the object returned by this method.

  This method overrides .

  is .

  < 0.

  -or-

  > .Length.

  -or-

  < 0.

  -or-

  > .Length - .

  An error occurred while accessing the underlying socket.

  Any exception thrown by the method is caught and rethrown as an with the original exception stored in the property.

  The current instance has been disposed.

  For an outline of an asynchronous operation, see the method. For the complete example, see the class overview.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.IAsyncResult `` `` `` `` `` A array containing data to write to the stream. A containing the zero-based position in containing the starting location of the data to write. A containing the number of bytes to write to the stream. A delegate, or . An application-defined object, or .

  Begins an asynchronous operation to write data to the current instance.

  A instance that contains information about the asynchronous operation.

  To release resources allocated by the method, call the method, and specify the object returned by this

  method.

  The method should be called exactly once for each call to the method.

  If the parameter is not , the method referenced by is invoked when the asynchronous operation completes. The object returned by this method is passed as the argument to the method referenced by . The method referenced by can retrieve the results of the operation by calling the method.

  The parameter can be any object that the caller wishes to have available for the duration of the asynchronous operation. This object is available via the property of the object returned by this method.

  This method overrides .

  is .

  < 0.

  -or-

  > .Length.

  -or-

  < 0.

  -or-

  > .Length - .

  An error occurred while accessing the underlying socket.

  Any exception thrown by the method is caught and rethrown as an with the original exception stored in the property.

  The current instance has been disposed.

  For an outline of an asynchronous operation, see the method. For the complete example, see the class overview.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current stream supports reading.

  indicates that the current stream supports reading; . indicates that the current stream does not support reading.

  This property is read-only.

  The value of this property is initially set by the constructors.

  This property overrides .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Returns the value to indicate that the class cannot access a specific location in the data stream.

  .

  This property is read-only.

  This property overrides .

  0
  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.Boolean

  Gets a value indicating whether the current stream supports writing.

  indicates that the current stream supports writing; indicates that the current stream does not support writing.

  This property is read-only.

  The value of this property is set by the constructors.

  This property overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Closes the stream and, if owned by the current instance, the underlying socket.

  This method calls ( ), which frees both managed and unmanaged resources used by the current instance. When the underlying socket is owned by the current instance, the method of the socket is called, which frees both managed and unmanaged resources used by the socket.

  Ownership of a socket is specified using the constructor.

  This method overrides .

  0
  1.0.5000.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  System.Boolean

  Gets a value indicating whether data is available to be read from the underlying socket buffer.

  indicates that data is available to be read; indicates that there is no data available to be read.

  This property is read-only.

  As described above.

  Accessing this property causes a call to the method of the underlying instance. If the method returns a non-zero value, indicating data is available to be read, this property returns ; otherwise, this property returns .

  Override this property to determine if data is available to be read in the underlying socket buffer.

  The current instance has been disposed. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A . Specify to release both managed and unmanaged resources; specify to release only unmanaged resources.

  Releases the unmanaged resources used by the current instance and optionally releases the managed resources.

  Ownership of a socket is specified using the constructor.

  The method calls this method with the parameter set to . The finalizer calls this method with the parameter set to .

  This method closes the current instance releasing all unmanaged resources allocated by the current instance. When the underlying socket is owned by the current instance, the method of the socket is called, which frees the managed and unmanaged resources used by the socket. When the parameter is , this method also releases all resources held by any other managed objects allocated by the current instance.

  This method closes the current instance releasing all unmanaged resources allocated by the current instance. When the underlying socket is owned by the current instance, the method of the socket is called, which frees the managed and unmanaged resources used by the socket.

  The method can be called multiple times by other objects. When overriding this method, do not reference objects that have been previously disposed in an earlier call.

  Use this method to release resources allocated by the current instance.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` A object that holds the state information for the asynchronous operation.

  Ends an asynchronous call to read data from the current instance.

  A containing the number of bytes read from the stream.

  This method blocks if the asynchronous operation has not completed.

  The method completes an asynchronous request that was started with a call to the method. The object specified for the parameter is required to be the same object as was returned by the method call that began the request.

  If the method is invoked via the delegate specified to the method, the parameter is the argument passed to the delegate's method.

  This method overrides .

  is . An error occurred while accessing the underlying socket.

  This method catches all exceptions thrown by the method.

  The current instance has been disposed.

  For an outline of an asynchronous operation, see the method. For the complete example, see the class overview.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A object that holds the state information for the asynchronous operation.

  Ends an asynchronous call to write data to the current instance.

  This method blocks if the asynchronous operation has not completed.

  The method completes an asynchronous request that was started with a call to the method. The object specified for the parameter is required to be the same object as was returned by the method call that began the request.

  If the method is invoked via the delegate specified to the method, the parameter is the argument passed to the delegate's method.

  This method overrides .

  is . An error occurred while accessing the underlying socket.

  This method catches all exceptions thrown by the method.

  The current instance has been disposed.

  For an outline of an asynchronous operation, see the method. For the complete example, see the class overview.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Frees unmanaged resources used by the current instance.

  Application code does not call this method; it is automatically invoked during garbage collection unless finalization by the garbage collector has been disabled. For more information, see , and .

  This method calls (), which frees unmanaged resources used by the current instance. When the underlying socket is owned by the current instance, it is closed and the managed and unmanaged resources used by the socket are freed.

  Ownership of a socket is specified using the constructor.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  This method is reserved for future use.

  Calling this method does not throw an exception.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Int64

  Throws a .

  To be added.

  The base class implements this property to return the length of the data available on the stream. This functionality is not supported in the class.

  This property overrides .

  Any attempt to access this property. 0 1.0.5000.0 2.0.0.0
- Property
  System.Int64

  Throws a .

  To be added.

  The base class implements this property to return or set the current position in the stream. This functionality is not supported in the class.

  This property overrides .

  Any attempt to access this property. 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` `` A array to store data read from the stream. A containing the zero-based position in at which to begin storing the data. A containing the number of bytes to read.

  Reads data from the current instance and stores it in a data buffer.

  A containing the number of bytes read from the stream.

  When no incoming data is available, this method blocks and waits for data to arrive.

  If the remote socket was shut down gracefully ( was called on the socket or the option was enabled and was called on the socket) and all data was received, this method immediately returns zero.

  This method overrides .

  is .

  < 0.

  -or-

  > .Length.

  -or-

  < 0.

  -or-

  > .Length - .

  An error occurred while accessing the underlying socket.

  This method catches all exceptions thrown by the method.

  The current instance has been disposed. 0 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.Int64 `` `` This parameter is not used. This parameter is not used.

  Throws a .

  To be added.

  The base class uses this method to set the current position in the stream. This functionality is not supported in the class.

  This method overrides .

  Any call to this method. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` This parameter is not used.

  Throws a .

  The base class uses this method to set the length of the data available on the stream. This functionality is not supported in the class.

  This method overrides .

  Any call to this method. 0 1.0.5000.0 2.0.0.0
- Property
  System.Net.Sockets.Socket To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Method
  System.Void `` `` `` A array containing data to write to the stream. A containing the zero-based position in containing the starting location of the data to write. A containing the number of bytes to write to the stream.

  Writes data from a specific area of a data buffer to the current instance.

  When no buffer space is available within the underlying protocol, this method blocks unless the socket is in non-blocking mode.

  This method overrides .

  is .

  < 0.

  -or-

  > .Length.

  -or-

  < 0.

  -or-

  > .Length - .

  An error occurred while accessing the underlying socket.

  This method catches all exceptions thrown by the method.

  The current instance has been disposed. 0 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
0